# $1 client system ip address
# $2 client system port number
# $3 flink bin folder path

# clear local folder files
rm -r *.csv

# download master data csv file
wget http://$1:$2/download/customer.csv
wget http://$1:$2/download/product.csv


echo "-->> Start, Flink Project Script.";
# run script in loop
for i in $(seq 0 3)
do
	# wait loop here for 30 second
	sleep 10

  echo "-->> Start, sales data analysis using flink - $i";

  # download sale csv file
  wget http://$1:$2/download/netsale_customer_$i.csv
  wget http://$1:$2/download/netsale_product_$i.csv

  # run flink project
  $3 run sales.jar $(pwd) $i

  sleep 20
  echo "-->> End, log analysis using Flink script - $i";

	# upload result file into the Client System
	curl -X POST http://$1:$2/upload/topCustomers/$i -H 'content-type: multipart/form-data' -F file=@topCustomers_$i.csv
	curl -X POST http://$1:$2/upload/topProducts/$i -H 'content-type: multipart/form-data' -F file=@topProducts_$i.csv
	curl -X POST http://$1:$2/upload/topCustomerProductDetails/$i -H 'content-type: multipart/form-data' -F file=@topCustomerProductDetails_$i.csv

	echo "-->> Result file is uploaded - $i";

done
echo "-->> End, Flink Script.";